#### Previous topic

scipy.sparse.linalg.LinearOperator.adjoint

#### Next topic

scipy.sparse.linalg.LinearOperator.matmat

# scipy.sparse.linalg.LinearOperator.dot

`LinearOperator.``dot`(x)

  Matrix-matrix or matrix-vector multiplication.

  Parameters:

  x : array_like

  > 1-d or 2-d array, representing a vector or matrix.

  Returns:

  Ax : array

  > 1-d or 2-d array (depending on the shape of x) that represents the result of applying this linear operator on x.